---
id: zetorrents
name: zetorrents
description: "zetorrents is a FRENCH Public site for MOVIES / TV / GENERAL"
language: fr-FR
type: public
encoding: UTF-8
# to fetch current domain use https://www.rantop.org/
links:
  - https://www.world-torrent1.com/
legacylinks:
  # latest domains list
  - https://www.rantop.org/
  - https://www.site-torrent.cc/
  - https://www.torrent-site.com/
  # domain lists no longer working
  - https://www.protege-torrent.com/
  - https://www.torrent.ws/
  - https://www.protege-liens.com/
  - https://www.protege-liens.net/
  - https://www.torrent.onl/
  - https://www.site-torrent.com/
  - https://www.rantop.my/
  # actual legacylinks
  - https://www.zetorrents.vg/
  - https://www.zetorrents.vc/
  - https://www.zetorrents.sk/
  - https://www.zetorrents.my/
  - https://wvw-zetorrents.com/
  - https://www-zetorrents.com/
  - https://www.zetorrents1.com/
  - https://www.zetorrents.diy/
  - https://www.zetorrents2.com/
  - https://www.zetorrents.town/
  - https://zetorrents-proxy.site/
  - https://ww1-zetorrents.me/
  - https://www.zetorrents.rent/
  - https://ww1-zetorrents.town/
  - https://www.world-torrent.com/

caps:
  categories:
    Other: Other

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
  allowrawsearch: true

settings:
  - name: info_category_8000
    type: info_category_8000
  - name: multilang
    type: checkbox
    label: Replace MULTi by another language in release name
    default: false
  - name: multilanguage
    type: select
    label: Replace MULTi by this language
    default: FRENCH
    options:
      FRENCH: FRENCH
      MULTi FRENCH: MULTi FRENCH
      ENGLISH: ENGLISH
      MULTi ENGLISH: MULTi ENGLISH
      VOSTFR: VOSTFR
      MULTi VOSTFR: MULTi VOSTFR
  - name: vostfr
    type: checkbox
    label: Replace VOSTFR and SUBFRENCH with ENGLISH
    default: false

download:
  selectors:
    - selector: a[href^="magnet:?"]
      attribute: href

search:
  paths:
    - path: "{{ if .Keywords }}recherche/{{ .Keywords }}{{ else }}derniers{{ end }}"
  keywordsfilters:
    # if searching for season packs swith S01 to saison 1 #9712
    - name: re_replace
      args: ["(?i)(S0)(\\d{1,2})$", "saison $2"]
    - name: re_replace
      args: ["(?i)(S)(\\d{1,3})$", "saison $2"]

  rows:
    selector: table.table > tbody > tr:has(a[href^="/detail/"])

  fields:
    category:
      text: Other
    title_phase1:
      selector: a[href^="/detail/"]
      filters:
        - name: replace
          args: ["WEBRIP", "WEBDL"]
        - name: re_replace
          args: ["(?i)\\b(FRENCH|MULTI|TRUEFRENCH|VOSTFR|SUBFRENCH)\\b(.+?)(\\b((19|20)\\d{2})\\b)$", "$3 $1$2"]
    title_vostfr:
      text: "{{ .Result.title_phase1 }}"
      filters:
        - name: re_replace
          args: ["(?i)\\b(vostfr|subfrench)\\b", "ENGLISH"]
    title_phase2:
      text: "{{ if .Config.vostfr }}{{ .Result.title_vostfr }}{{ else }}{{ .Result.title_phase1 }}{{ end }}"
    title_multilang:
      text: "{{ .Result.title_phase2 }}"
      filters:
        - name: re_replace
          args: ["(?i)\\b(MULTI(?!.*(?:FRENCH|ENGLISH|VOSTFR)))\\b", "{{ .Config.multilanguage }}"]
    title:
      text: "{{ if .Config.multilang }}{{ .Result.title_multilang }}{{ else }}{{ .Result.title_phase2 }}{{ end }}"
    details:
      selector: a[href^="/detail/"]
      attribute: href
    download:
      selector: a[href^="/detail/"]
      attribute: href
    date:
      text: now
    size:
      selector: td:nth-child(2)
    seeders:
      selector: td:nth-child(3)
    leechers:
      selector: td:nth-child(4)
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# engine n/a
